summaryrefslogtreecommitdiffstats
path: root/source/l/v4l-utils/v4l-utils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/v4l-utils/v4l-utils.SlackBuild')
-rwxr-xr-xsource/l/v4l-utils/v4l-utils.SlackBuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/source/l/v4l-utils/v4l-utils.SlackBuild b/source/l/v4l-utils/v4l-utils.SlackBuild
index 936732617..5a21c7203 100755
--- a/source/l/v4l-utils/v4l-utils.SlackBuild
+++ b/source/l/v4l-utils/v4l-utils.SlackBuild
@@ -27,7 +27,7 @@ PKGNAM=v4l-utils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-2}
-NUMJOBS=${NUMJOBS:--j6}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -71,6 +71,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+zcat $CWD/v4l-utils.glibc228.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \